apiVersion: autoscaling/v2beta1
kind: HorizontalPodAutoscaler
metadata:
  name: ghost-mem-horizontal
spec:
  maxReplicas: 5
  minReplicas: 1
  scaleTargetRef:
    apiVersion: extensions/v1beta1
    kind: Deployment
    name: ghost-mem-horizontal
  metrics:
  - type: Resource
    resource:
      name: memory
      targetAverageUtilization: 50 # whenever memory usage goes above 50% then autoscaler will scale up
